QGIS Application - Bug report #16082
R Scripts errors in the script editor
2017-01-16 05:39 AM - matteo ghetta

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Linux mint Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23996
Description

When trying to write a custom R script in Processing, the following error appears when typing the first letter (no matter if it is the character
# or another letter):

An error has occurred while executing Python code:

TypeError: startswith first arg must be bytes or a tuple of bytes, not str
Traceback (most recent call last):
File "/home/matteo/lavori/QGIS/build-qgis3/output/python/plugins/processing/gui/LexerR.py", line 107, in styleText
if line.startswith('#'):
TypeError: startswith first arg must be bytes or a tuple of bytes, not str

Associated revisions

Revision bb4c8c06 - 2017-02-07 03:47 PM - Alexander Bruy

[processing] fix R syntax highlighting (fix #16082)

History

#1 - 2017-02-07 06:44 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"bb4c8c065fd056aa909243caaf628e8fadfc295b".

#2 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#3 - 2017-05-01 11:01 AM - Giovanni Manghi
- Easy fix? set to No

#4 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#5 - 2017-05-01 11:06 AM - Giovanni Manghi
- Category changed from 124 to Processing/Core
